# Discord AGAU (A Gundam Among Us)

[![WeeboChe](https://img.shields.io/badge/Weebo-Che?style=for-the-badge&logo=eclipseche&labelColor=525C86&color=FDB940&link=https%3A%2F%2Fche.dev.weebo.fr%2F%23git%40git.weebo.fr%3Asandbox%2FBotDiscord.git)](https://che.dev.weebo.fr/#git@git.weebo.fr:sandbox/BotDiscord.git)

The goal of this project is to bring back my different discord boy and create a single point of feature

Main lib used : [serenity-rs/serenity](https://github.com/serenity-rs/serenity) and look at [serenity-rs/poise](https://github.com/serenity-rs/poise)

## Feature expected

- [DONE] ImageWareHouse (like TestDiscord)
- ImageWareHouse V2
  - Mise en place d'autre source de gif OPT
- SoundBoard (like UnlabeledBot)
- Notification (read an event topic and send the message to the expected chan)
- Some Administration command
  - clear chan
  - create webhook
- Detect event and send it on a chan
- Apply some rules For exemple : if the user spam too much => TimeOut for 20s
- For each server keep a config separated (redis or surrealdb ?)
- Have a web interface to manage the bot (like a dashboard)
  - List of server
  - Monitor the bot
  - Authentification Discord
  - Detecter controle
- [WIP] Integrate with the Opentelemetry project
- The bot has to be able to be deployed on a k8s cluster
- The bot has to be OPT-IN (the user has to enable the bot on his server with a command)
- Mise en place de metric OpenTelemetry

## previous project

- [TestDiscord](https://git.weebo.fr/sandbox/TestDiscord): Bot that check if a world match with one in the image warehouse and answer with a picture
- [UnlabeledBot](https://git.weebo.fr/sandbox/UnlabeledBot) : Soundboard project

## Database

- [SurrealDB](https://surrealdb.com/features)
